Base Utilities

## Detailed Description

## Data Structures

struct | CFRange

## Typedefs

typedef unsigned long | CFHashCode
typedef unsigned long | CFOptionFlags
typedef signed long | CFIndex
typedef CFComparisonResult(* | CFComparatorFunction) (const void *val1, const void *val2, void *context)

## Enumerations

enum | CFComparisonResult { kCFCompareLessThan = -1 , kCFCompareEqualTo = 0 , kCFCompareGreaterThan = 1 }
enum | { kCFNotFound = -1 }

## Functions

CFRange | CFRangeMake (CFIndex location, CFIndex length)

## Library Version Numbers

const double | kCFCoreFoundationVersionNumber
#define | kCFCoreFoundationVersionNumber10_0 196.40
#define | kCFCoreFoundationVersionNumber10_0_3 196.50
#define | kCFCoreFoundationVersionNumber10_1 226.00
#define | kCFCoreFoundationVersionNumber10_1_1 226.00
#define | kCFCoreFoundationVersionNumber10_1_2 227.20
#define | kCFCoreFoundationVersionNumber10_1_3 227.20
#define | kCFCoreFoundationVersionNumber10_1_4 227.30
#define | kCFCoreFoundationVersionNumber10_2 263.00
#define | kCFCoreFoundationVersionNumber10_2_1 263.10
#define | kCFCoreFoundationVersionNumber10_2_2 263.10
#define | kCFCoreFoundationVersionNumber10_2_3 263.30
#define | kCFCoreFoundationVersionNumber10_2_4 263.30
#define | kCFCoreFoundationVersionNumber10_2_5 263.50
#define | kCFCoreFoundationVersionNumber10_2_6 263.50
#define | kCFCoreFoundationVersionNumber10_2_7 263.50
#define | kCFCoreFoundationVersionNumber10_2_8 263.50
#define | kCFCoreFoundationVersionNumber10_3 299.00
#define | kCFCoreFoundationVersionNumber10_3_1 299.00
#define | kCFCoreFoundationVersionNumber10_3_2 299.00
#define | kCFCoreFoundationVersionNumber10_3_3 299.30
#define | kCFCoreFoundationVersionNumber10_3_4 299.31
#define | kCFCoreFoundationVersionNumber10_3_5 299.31
#define | kCFCoreFoundationVersionNumber10_3_6 299.32
#define | kCFCoreFoundationVersionNumber10_3_7 299.33
#define | kCFCoreFoundationVersionNumber10_3_8 299.33
#define | kCFCoreFoundationVersionNumber10_3_9 299.35
#define | kCFCoreFoundationVersionNumber10_4 368.00
#define | kCFCoreFoundationVersionNumber10_4_1 368.10
#define | kCFCoreFoundationVersionNumber10_4_2 368.11
#define | kCFCoreFoundationVersionNumber10_4_3 368.18
#define | kCFCoreFoundationVersionNumber10_4_4_Intel 368.26
#define | kCFCoreFoundationVersionNumber10_4_4_PowerPC 368.25
#define | kCFCoreFoundationVersionNumber10_4_5_Intel 368.26
#define | kCFCoreFoundationVersionNumber10_4_5_PowerPC 368.25
#define | kCFCoreFoundationVersionNumber10_4_6_Intel 368.26
#define | kCFCoreFoundationVersionNumber10_4_6_PowerPC 368.25
#define | kCFCoreFoundationVersionNumber10_4_7 368.27
#define | kCFCoreFoundationVersionNumber10_4_8 368.27
#define | kCFCoreFoundationVersionNumber10_4_9 368.28
#define | kCFCoreFoundationVersionNumber10_4_10 368.28
#define | kCFCoreFoundationVersionNumber10_4_11 368.31
#define | kCFCoreFoundationVersionNumber10_5 476.00
#define | kCFCoreFoundationVersionNumber10_5_1 476.00
#define | kCFCoreFoundationVersionNumber10_5_2 476.10
#define | kCFCoreFoundationVersionNumber10_5_3 476.13
#define | kCFCoreFoundationVersionNumber10_5_4 476.14
#define | kCFCoreFoundationVersionNumber10_5_5 476.15
#define | kCFCoreFoundationVersionNumber10_5_6 476.17

## Data Structure Documentation

## CFRange

struct CFRange

A structure that represents a range of items in a container, such as an array.

Data Fields
CFIndex | location | An integer representing the start location of the range, inclusive.
CFIndex | length | An integer representing the total number of items in the range

## Typedef Documentation

## CFHashCode

typedef unsigned long CFHashCode

An integer value to store a hash code.

## CFOptionFlags

typedef unsigned long CFOptionFlags

A bitfield for passing information to functions. Can hold as many bits as a word.

## CFIndex

typedef signed long CFIndex

A signed integer representing an index, size, length or count.

## Function Documentation

## CFRangeMake()

CFRange CFRangeMake | ( | CFIndex | location,
|  | CFIndex | length
| ) |  |

Creates a CFRange structure.

Parameters

  location | The starting location.
  length | The length.

Returns
  An initialized CFRange structure.